## XviewerPropertiesDialog XviewerPropertiesDialog |

## Functions

GtkWidget * | xviewer_properties_dialog_new ()
void | xviewer_properties_dialog_update ()
void | xviewer_properties_dialog_set_page ()
void | xviewer_properties_dialog_set_netbook_mode ()

## Types and Values

enum | XviewerPropertiesDialogPage
struct | XviewerPropertiesDialog

## Description

## Functions

### xviewer_properties_dialog_new ()

    GtkWidget *
    xviewer_properties_dialog_new (GtkWindow *parent,
                                   XviewerThumbView *thumbview,
                                   GtkAction *next_image_action,
                                   GtkAction *previous_image_action);

#### Returns

a new XviewerPropertiesDialog.

[transfer full][type XviewerPropertiesDialog]

### xviewer_properties_dialog_update ()

    void
    xviewer_properties_dialog_update (XviewerPropertiesDialog *prop,
                                      XviewerImage *image);

### xviewer_properties_dialog_set_page ()

    void
    xviewer_properties_dialog_set_page (XviewerPropertiesDialog *prop,
                                        XviewerPropertiesDialogPage page);

### xviewer_properties_dialog_set_netbook_mode ()

    void
    xviewer_properties_dialog_set_netbook_mode
                                   (XviewerPropertiesDialog *dlg,
                                    gboolean enable);

## Types and Values

### enum XviewerPropertiesDialogPage

#### Members

XVIEWER_PROPERTIES_DIALOG_PAGE_GENERAL |  |
XVIEWER_PROPERTIES_DIALOG_PAGE_EXIF |  |
XVIEWER_PROPERTIES_DIALOG_PAGE_DETAILS |  |
XVIEWER_PROPERTIES_DIALOG_N_PAGES |  |

### struct XviewerPropertiesDialog

    struct XviewerPropertiesDialog {
    	GtkDialog dialog;

    	XviewerPropertiesDialogPrivate *priv;
    };